Bug 22335 - Comment on column suggestions.STATUS is not complete
Summary: Comment on column suggestions.STATUS is not complete
Status: Pushed to oldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: Developer documentation (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial with 1 vote (vote)
Assignee: Katrin Fischer
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-02-14 08:58 UTC by Josef Moravec
Modified: 2020-05-15 21:26 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00, 19.11.06, 19.05.11


Attachments
Bug 22335: Fix comment on suggestions.STATUS in kohastructure.sql (1.59 KB, patch)
2020-04-13 02:45 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 22335: Fix comment on suggestions.STATUS in kohastructure.sql (1.59 KB, patch)
2020-04-28 19:57 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 22335: Fix comment on suggestions.STATUS in kohastructure.sql (1.64 KB, patch)
2020-04-28 20:11 UTC, David Nind
Details | Diff | Splinter Review
Bug 22335: Fix comment on suggestions.STATUS in kohastructure.sql (1.71 KB, patch)
2020-05-04 14:04 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Josef Moravec 2019-02-14 08:58:33 UTC
It is: "suggestion status (ASKED, CHECKED, ACCEPTED, or REJECTED)"

But the used statuses are: ASKED, CHECKED, ACCEPTED, REJECTED, AVAILABLE, ORDERED
Other can be added through SUGGEST_STATUS authorised values
Comment 1 Katrin Fischer 2020-04-13 02:45:17 UTC
Created attachment 102795 [details] [review]
Bug 22335: Fix comment on suggestions.STATUS in kohastructure.sql

The description on STATUS was incomplete, missing 2 status and
the SUGGEST_STATUS category.

To test:
- Later this will show up in schema.koha-community.org, but
  for now it can only be verified reading the patch.
Comment 2 David Nind 2020-04-21 01:07:36 UTC
The patch no longer applies (if that is required):

Applying: Bug 22335: Fix comment on suggestions.STATUS in kohastructure.sql
Using index info to reconstruct a base tree...
M	installer/data/mysql/kohastructure.sql
Falling back to patching base and 3-way merge...
Auto-merging installer/data/mysql/kohastructure.sql
CONFLICT (content): Merge conflict in installer/data/mysql/kohastructure.sql
error: Failed to merge in the changes.
Patch failed at 0001 Bug 22335: Fix comment on suggestions.STATUS in kohastructure.sql

Happy to sign-off otherwise.
Comment 3 Katrin Fischer 2020-04-28 19:57:00 UTC
Created attachment 103883 [details] [review]
Bug 22335: Fix comment on suggestions.STATUS in kohastructure.sql

The description on STATUS was incomplete, missing 2 status and
the SUGGEST_STATUS category.

To test:
- Later this will show up in schema.koha-community.org, but
  for now it can only be verified reading the patch.
Comment 4 Katrin Fischer 2020-04-28 19:57:28 UTC
Rebased - Joubu added the new archived column just below the line I fixed, causing the conflict.
Comment 5 David Nind 2020-04-28 20:11:17 UTC
Created attachment 103884 [details] [review]
Bug 22335: Fix comment on suggestions.STATUS in kohastructure.sql

The description on STATUS was incomplete, missing 2 status and
the SUGGEST_STATUS category.

To test:
- Later this will show up in schema.koha-community.org, but
  for now it can only be verified reading the patch.

Signed-off-by: David Nind <david@davidnind.com>
Comment 6 Jonathan Druart 2020-05-04 14:04:29 UTC
Created attachment 104295 [details] [review]
Bug 22335: Fix comment on suggestions.STATUS in kohastructure.sql

The description on STATUS was incomplete, missing 2 status and
the SUGGEST_STATUS category.

To test:
- Later this will show up in schema.koha-community.org, but
  for now it can only be verified reading the patch.

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 7 Martin Renvoize 2020-05-05 10:04:20 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 8 Joy Nelson 2020-05-11 21:25:15 UTC
Backported to 19.11.x for 19.11.06
Comment 9 Lucas Gass 2020-05-15 21:26:48 UTC
backported to 19.05.x for 19.05.11